Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036994
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2017-10-03 13:322017-11-24 11:33
ReportermalsasuaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR18Q1
StatusclosedFix in branchFixed in SCM revision00a4f6cd4b71
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036994: overpayment limit does not work when decimal separator is comma "," instead of dot "."

Descriptionwhen you have configured the organization to use the decimal separator comma "," the overpayment limit functionality does not work
Steps To Reproducebackooffice>
 .Organization window: "Vall Blanca Store"
  . decimal separator: ,
  . group separator: .
 . POS Terminal Type "VBS POS Terminal Type":
  . payment method "Credit Card"
   . Overpayment / Change Limit: 0

POS>
 . login in VBS-1
 . add new line Avalanche > total receipt: 150.50
 . payment window: new payment:
  . Card - Amount 200

DONE button should be disabled and message "Overpayment is not available" should be displayed
(see attachments)
Proposed Solutionin https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/file/e017003eded3/web/org.openbravo.retail.posterminal/js/model/order.js#l904 [^]
overpayment variable should not be formatted to String using OB.I18N.formatCurrency function
TagsNo tags attached.
Attached Filespng file icon well.png [^] (270,409 bytes) 2017-10-03 13:33
png file icon wrong.png [^] (266,930 bytes) 2017-10-03 13:33

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0099854)
hgbot (developer)
2017-10-10 15:44

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 00a4f6cd4b71bd35511b31359436ed19b234a288
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Oct 09 13:38:31 2017 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/00a4f6cd4b71bd35511b31359436ed19b234a288 [^]

Fixed issue 36994: overpayment limit does not work when decimal separator is
comma "," instead of dot "."

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0100556)
hgbot (developer)
2017-11-16 20:36

Repository: tools/automation/pi-mobile
Changeset: 252b879ce446ec84e25f096fd33656ac6ecf1df3
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Tue Nov 14 15:34:50 2017 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/252b879ce446ec84e25f096fd33656ac6ecf1df3 [^]

Verifies issue 36994: overpayment limit does not work when decimal separator is
comma "," instead of dot "."

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I36994_OverpaymentLimitWithDecimalSeparatorDoesNotWork.java
---
(0100700)
hgbot (developer)
2017-11-24 11:33

Repository: tools/automation/pi-mobile
Changeset: 69b9125ae95177624ef6f2381f40e75e9bace451
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Fri Nov 24 11:33:20 2017 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/69b9125ae95177624ef6f2381f40e75e9bace451 [^]

Related to issue 36994: overpayment limit does not work when decimal separator is
comma "," instead of dot "."

Backed out changeset 252b879ce446

---
R src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I36994_OverpaymentLimitWithDecimalSeparatorDoesNotWork.java
---

- Issue History
Date Modified Username Field Change
2017-10-03 13:32 malsasua New Issue
2017-10-03 13:32 malsasua Assigned To => Retail
2017-10-03 13:32 malsasua Triggers an Emergency Pack => No
2017-10-03 13:33 malsasua File Added: well.png
2017-10-03 13:33 malsasua File Added: wrong.png
2017-10-03 13:36 malsasua Proposed Solution updated
2017-10-03 18:02 eugeni Issue Monitored: eugeni
2017-10-09 20:03 rqueralta Assigned To Retail => rqueralta
2017-10-09 20:03 rqueralta Status new => scheduled
2017-10-10 15:44 hgbot Checkin
2017-10-10 15:44 hgbot Note Added: 0099854
2017-10-10 15:44 hgbot Status scheduled => resolved
2017-10-10 15:44 hgbot Resolution open => fixed
2017-10-10 15:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/00a4f6cd4b71bd35511b31359436ed19b234a288 [^]
2017-10-13 14:18 marvintm Review Assigned To => marvintm
2017-10-13 14:18 marvintm Status resolved => closed
2017-10-13 14:18 marvintm Fixed in Version => RR18Q1
2017-11-16 20:36 hgbot Checkin
2017-11-16 20:36 hgbot Note Added: 0100556
2017-11-24 11:33 hgbot Checkin
2017-11-24 11:33 hgbot Note Added: 0100700


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker